#!/bin/csh -f
#####################################################
# recopie la derniere image PNG de chaque repertoire
# dans un repertoire images, renommee suivant le nom 
# du repertoire d'origine
#####################################################

set list_dir = `ls -d */ | tr -d '/'`

#echo list_dir = $list_dir

if (! -e images) then
  mkdir images
endif

@ i = 0

foreach dir ($list_dir)
#  echo dir = $dir
  set img = `ls -1 ${dir}/*.png | tail -1`
  if (-e "$img" && ! -e images/${dir}.png) then
    echo "creating ${dir}.png"
    cp $img images/${dir}.png
    @ i++
  endif
end

echo "done : $i image(s)"

